#ifndef SEMAPHORE_H
#define SEMAPHORE_H

#ifdef __cplusplus
extern "C" {
#endif

#define SEM_CREAT	0x00000001
#define SEM_OPEN	0x00000002

typedef void Semaphore;

// Create /open a semaphore
Semaphore * semCreate( const char * pszFile, int flags );

// Acquire the semaphore
int semAcquire( Semaphore * pSem );

// Release the semaphore
int semRelease( Semaphore * pSem );

// Destroy the semaphore
int semDestroy( Semaphore * pSem );

#ifdef __cplusplus
}
#endif

#endif /*SEMAPHORE_H*/